[buildout]
parts = app data zopectl i18n test
find-links = http://download.zope.org/distribution/
newest = false
extends= http://grok.zope.org/releaseinfo/grok-0.11.1.cfg
versions = versions
develop =
    .
    ../Gibberisch

[data]
recipe = zc.recipe.filestorage

[app]
recipe = zc.zope3recipes>=0.5.3:application
eggs = Bullschit
site.zcml = <include package="bullschit" />
            <include package="zope.app.twisted" />

            <configure i18n_domain="bullschit">
              <unauthenticatedPrincipal id="zope.anybody"
                                        title="Unauthenticated User" />
              <unauthenticatedGroup id="zope.Anybody"
                                    title="Unauthenticated Users" />
              <authenticatedGroup id="zope.Authenticated"
                                title="Authenticated Users" />
              <everybodyGroup id="zope.Everybody"
                              title="All Users" />
              <principal id="zope.manager"
                         title="Manager"
                         login="admin"
                         password_manager="Plain Text"
                         password="admin"
                         />

              <!-- Replace the following directive if you don't want
                   public access -->
              <grant permission="zope.View"
                     principal="zope.Anybody" />
              <grant permission="zope.app.dublincore.view"
                     principal="zope.Anybody" />

              <role id="zope.Manager" title="Site Manager" />
              <role id="zope.Member" title="Site Member" />
              <grantAll role="zope.Manager" />
              <grant role="zope.Manager"
                     principal="zope.manager" />
           </configure>

[data]
recipe = zc.recipe.filestorage

# this section named so that the start/stop script is called bin/zopectl
[zopectl]
recipe = zc.zope3recipes:instance
application = app
zope.conf = ${data:zconfig}

[test]
recipe = zc.recipe.testrunner
eggs = Bullschit
defaults = ['--tests-pattern', '^f?tests$', '-v']

# this section named so that the i18n scripts are called bin/i18n...
[i18n]
recipe = lovely.recipe:i18n
package = bullschit
domain = bullschit
location = src/bullschit
output = locales
